[med-svn] [Git][med-team/hilive][master] Documentation and autopkgtest
Andreas Tille
gitlab at salsa.debian.org
Mon Oct 7 14:26:53 BST 2019
Andreas Tille pushed to branch master at Debian Med / hilive
Commits:
2a3ea9a3 by Andreas Tille at 2019-10-07T13:26:26Z
Documentation and autopkgtest
- - - - -
7 changed files:
- + debian/README.test
- debian/changelog
- debian/control
- + debian/docs
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+ sh run-unit-test
+
+in order to confirm its integrity.
=====================================
debian/changelog
=====================================
@@ -1,3 +1,11 @@
+hilive (2.0a-2) UNRELEASED; urgency=medium
+
+ * Install tutorial
+ * Provide simple autopkgtest
+ * Install documentation
+
+ -- Andreas Tille <tille at debian.org> Mon, 07 Oct 2019 14:54:36 +0200
+
hilive (2.0a-1) unstable; urgency=medium
* New upstream version
=====================================
debian/control
=====================================
@@ -13,7 +13,8 @@ Build-Depends: debhelper-compat (= 12),
libseqan2-dev,
zlib1g-dev,
liblz4-dev,
- chrpath
+ chrpath,
+ markdown
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/hilive
Vcs-Git: https://salsa.debian.org/med-team/hilive.git
=====================================
debian/docs
=====================================
@@ -0,0 +1,3 @@
+debian/README.test
+debian/tests/run-unit-test
+tutorial
=====================================
debian/rules
=====================================
@@ -16,3 +16,8 @@ override_dh_auto_configure:
override_dh_install:
chrpath --delete obj-$(DEB_BUILD_GNU_TYPE)/hilive*
dh_install
+
+override_dh_installdocs:
+ markdown README.md > README.html
+ dh_installdocs
+ rm README.html
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+
+pkg=hilive
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ # Double quote below to expand the temporary directory variable now versus
+ # later is on purpose.
+ # shellcheck disable=SC2064
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/tutorial/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+mkdir -p index
+hilive-build -i hiv1.fa -o index/hiv1
View it on GitLab: https://salsa.debian.org/med-team/hilive/commit/2a3ea9a3f49a48b2fcc687f97c0f6b51e426e75f
--
View it on GitLab: https://salsa.debian.org/med-team/hilive/commit/2a3ea9a3f49a48b2fcc687f97c0f6b51e426e75f
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20191007/2b942a1b/attachment-0001.html>
More information about the debian-med-commit
mailing list